| NFFT 3.5.0

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
imri_inh_3d_adjoint_plan Struct Reference

Structure for an adjoint transform plan. More...

`#include <solver_adjoint.h>`

Collaboration diagram for imri_inh_3d_adjoint_plan:
[legend]

## Data Fields
mri_inh_3d_plan * | mv
| matrix vector multiplication
unsigned | flags
| iteration type
double * | w
| weighting factors
double * | w_hat
| damping factors
double _Complex * | y_hat
| right hand side, samples
double _Complex * | f_iter
| iterative solution
double _Complex * | r_hat_iter
| iterated residual vector
double _Complex * | z_iter
| residual of normal equation of \ first kind
double _Complex * | p_iter
| search direction
double _Complex * | v_hat_iter
| residual vector update
double | alpha_iter
| step size for search direction
double | beta_iter
| step size for search correction
double | dot_r_hat_iter
| weighted dotproduct of r_iter
double | dot_r_hat_iter_old
| previous dot_r_iter
double | dot_z_iter
| weighted dotproduct of \ z_hat_iter
double | dot_z_iter_old
| previous dot_z_hat_iter
double | dot_p_iter
| weighted dotproduct of \ p_hat_iter
double | dot_v_hat_iter
| weighted dotproduct of v_iter

## Detailed Description

Structure for an adjoint transform plan.

Definition at line 85 of file solver_adjoint.h.

The documentation for this struct was generated from the following file:

- solver_adjoint.h